% CDF Weibull
%
% Input:  Vector: v_t       | Time t
% Global: Scalar: g_a,g_b   | Distribution parameter
% Output: Vector: v_erg     | CDF
%
function v_erg = calc_cdf_weibull(v_t,a,b)

len = length(v_t);

for i=1:len
    if (v_t(i) >= 0)
        v_erg(i) = 1-exp(-(v_t(i)/b)^a);
    else
        v_erg(i) = 0;
    end
end