function F = fun_F_DLSM_EXPL_TRAPEZ(param,t_data)

global g_param g_y_data g_anzobj g_anz_per_obj g_t;
global g_n g_anz_data gs_distr_N g_dose g_doses;

g_param = param;    

F = zeros(1,g_anz_data);

switch gs_distr_N
    case 'weibull'
        [mean var] = calc_param2moment_weibull(g_param(4),g_param(5));  
    case 'lognormal'
        [mean var] = calc_param2moment_lognorm(g_param(4),g_param(5));
    case 'gamma'
        [mean var] = calc_param2moment_gamma(g_param(4),g_param(5));
end

delta = mean/g_n;
nalpha = calc_nalpha(g_n,g_param(4),g_param(5),0.01,delta,gs_distr_N,g_n*10);

for d=1:g_anzobj
    g_dose = g_doses(d);
   
    for k=1:g_anz_per_obj
        g_t = t_data((d-1)*g_anz_per_obj+k);
       
        F((d-1)*g_anz_per_obj+k) = calc_Trapez_vect(@fun_f,delta,nalpha);
                  
    end
end
        
   
% Calculate sum of squares
SofS = 0;
for i=1:g_anzobj*g_anz_per_obj
    SofS = SofS + (F(i) - g_y_data(i))^2;
end

disp(sprintf('SofS = %12.6f  | Imax = %12.6f  IC50 = %12.6f  kp = %12.6f  a = %12.6f  b = %12.6f  | Mean = %12.6f  Var = %12.6f  |  nalpha = %6.0f',SofS,param(1),param(2),param(3),param(4),param(5),mean,var,nalpha));
