function F = fun_F_DLSM_KRZYZ(param,t_data)

global g_param g_y_data g_n g_anz_data gs_distr_N g_dose g_doses;
global g_anzobj g_anz_per_obj g_Tol_ODE;

options = odeset('RelTol',g_Tol_ODE,'AbsTol',g_Tol_ODE); 

g_param = param;    

F = zeros(1,g_anz_data);

switch gs_distr_N
    case 'weibull'
        [mean var] = calc_param2moment_weibull(g_param(4),g_param(5));  
    case 'lognorm'
        [mean var] = calc_param2moment_lognorm(g_param(4),g_param(5));
end

dtau = (5*2)/g_n;

for i=1:g_n+1
    x0(i) = g_param(3)*(i-1)*dtau;
end
x0(g_n+2) = mean*g_param(3);
   
tic;
for d=1:g_anzobj
    g_dose = g_doses(d);
    sol = ode45(@fun_model_DLSM_KRZYZ,[0,25+1],x0,options);
    for i=1:26
        Y = deval(sol,t_data((d-1)*26+i));
        F((d-1)*26+i) = Y(g_n+2);
    end
end
time = toc;        
   
SofS = 0;
for i=1:g_anzobj*g_anz_per_obj
    SofS = SofS + (F(i) - g_y_data(i))^2;
end


disp(sprintf('SofS = %12.6f  | Imax = %12.6f  IC50 = %12.6f  kp = %12.6f  a = %12.6f  b = %12.6f  | Mean = %12.6f  Var = %12.6f  | Time = %12.2f',SofS,param(1),param(2),param(3),param(4),param(5),mean,var,time));
