function F = fun_F_EXPLICIT_QUAD(param,t_data)

global g_param g_y_data g_anz_data gs_distr_N g_dose g_doses;
global g_anzobj g_anz_per_obj;

g_param = param;     

F = zeros(1,g_anz_data);

switch gs_distr_N     
    case 'weibull'
        [mean var] = calc_param2moment_weibull(g_param(4),g_param(5));
    case 'exponential'
        [mean var] = calc_param2moment_exponential(g_param(4));  
    case 'lognorm'
        [mean var] = calc_param2moment_lognorm(g_param(4),g_param(5));  
end

tic;
for d=1:g_anzobj
    g_dose = g_doses(d);
    for i=1:g_anz_per_obj
        F((d-1)*g_anz_per_obj+i) = calc_N_EXPLICIT(t_data((d-1)*g_anz_per_obj+i));
    end
end
time = toc;

% Calculate sum of squares
SofS = 0;
for i=1:g_anzobj*g_anz_per_obj
    SofS = SofS + (F(i) - g_y_data(i))^2;
end


disp(sprintf('SofS = %12.6f  | Imax = %12.6f  IC50 = %12.6f  kp = %12.6f  a = %12.6f  b = %12.6f  | Mean = %12.6f  Var = %12.6f  |  Time = %12.6f',SofS,param(1),param(2),param(3),param(4),param(5),mean,var,time));
