function SofS = fun_SofS_DLSM_EXPL_TRAPEZ(param)

global g_param g_t_data g_y_data g_n g_anz_data gs_distr_N;
global g_dose g_doses g_anzobj g_anz_per_obj g_t g_iter;

g_param = param;    

F = zeros(1,g_anz_data);

switch gs_distr_N
    case 'weibull'
        [mean var] = calc_param2moment_weibull(g_param(4),g_param(5));  
    case 'exponential'
        [mean var] = calc_param2moment_exponential(g_param(4));
    case 'lognorm'
        [mean var] = calc_param2moment_lognorm(g_param(4),g_param(5));
end

delta = mean/g_n;
nalpha = calc_nalpha(g_n,g_param(4),g_param(5),0.01,delta,gs_distr_N,g_n*10);

for d=1:g_anzobj
    g_dose = g_doses(d);
   
    for k=1:g_anz_per_obj
        t = g_t_data((d-1)*g_anz_per_obj+k);
        
        g_t = t;
        
        % Looped
        % F((d-1)*g_anz_per_obj+k) = calc_Trapez(@fun_f,0,nalpha*delta,nalpha);
        
        % Vecotorized
        F((d-1)*g_anz_per_obj+k) = calc_Trapez_vect(@fun_f,delta,nalpha);
                 
    end
end
        
   
% Calculate sum of squares
SofS = 0;
for i=1:g_anzobj*g_anz_per_obj
    SofS = SofS + (F(i) - g_y_data(i))^2;
end

g_iter = g_iter + 1;

disp(sprintf('SofS = %12.6f  | Imax = %12.6f  IC50 = %12.6f  kp = %12.6f  a = %12.6f  b = %12.6f  | Mean = %12.6f  Var = %12.6f  |  nalpha = %6.0f',SofS,param(1),param(2),param(3),param(4),param(5),mean,var,nalpha));
