function SofS = fun_SofS_EXPLICIT_ODE_SIMPLEX(param)

global g_param g_t_data g_y_data g_anz_data gs_distr_N;
global g_dose g_doses g_anzobj g_anz_per_obj g_t g_Tol_ODE;

options = odeset('RelTol',g_Tol_ODE,'AbsTol',g_Tol_ODE);

g_param = param;     

F = zeros(1,g_anz_data);

switch gs_distr_N     
    case 'weibull'
        [mean var] = calc_param2moment_weibull(g_param(4),g_param(5));
    case 'exponential'
        [mean var] = calc_param2moment_exponential(g_param(4));  
    case 'lognorm'
        [mean var] = calc_param2moment_lognorm(g_param(4),g_param(5));  
end

% Wie weit integrieren ber die lifespan
for i=1:500
    s = i/10;
    if ( 1-calc_cdf_weibull(s,g_param(4),g_param(5)) < 0.01)
        break;
    end
end
tau_end = s*10+1;

% x0 = g_param(3)*mean;

tic;
for d=1:g_anzobj
    g_dose = g_doses(d);
    
    for i=1:g_anz_per_obj
    
        g_t = g_t_data((d-1)*g_anz_per_obj+i);
    
        sol = ode45(@fun_model_N_EXPLICIT_ODE,[0,tau_end],0,options);

        F((d-1)*g_anz_per_obj+i) = deval(sol,tau_end);
        
    end
    
end
time = toc;

% Calculate sum of squares
SofS = 0;
for i=1:4*26
    SofS = SofS + (F(i) - g_y_data(i))^2;
end


disp(sprintf('SofS = %12.6f  | Imax = %12.6f  IC50 = %12.6f  kp = %12.6f  a = %12.6f  b = %12.6f  | Mean = %12.6f  Var = %12.6f  tau_end = %12.6f  Time = %12.6f',SofS,param(1),param(2),param(3),param(4),param(5),mean,var,tau_end,time));
