function dx = fun_model_DLSM_KRZYZ(t,x)

global g_param;
global g_n gs_distr_N;

switch gs_distr_N
    case 'weibull'
        [mean var] = calc_param2moment_weibull(g_param(4),g_param(5));  
    case 'lognorm'
        [mean var] = calc_param2moment_lognorm(g_param(4),g_param(5));
end

dtau = (5*2)/g_n;

% Calc alpha
sum = 0;
for i=1:g_n           
    mp = (i*dtau+(i-1)*dtau)/2;
    alpha(i) = calc_pdf_weibull(mp,g_param(4),g_param(5));
    sum = sum + alpha(i)*dtau;
end

ss = 0;
for i=1:g_n
    % tmp1=x(i)+g_param(3)*(i-1)*dtau
    % tmp2=x(i+1)+g_param(3)*i*dtau
    ss = ss + (alpha(i)/sum)*(x(i+1)-x(i));
end

for i=1:g_n+1
    dx(i,1) = fun_kin(g_param(1),g_param(2),g_param(3),t) ... 
              - fun_kin(g_param(1),g_param(2),g_param(3),t-(i-1)*dtau);
end

dx(g_n+2,1) = fun_kin(g_param(1),g_param(2),g_param(3),t) - ss;

